Subject: BUG: split shorter version of '--numeric-suffixes' give error

From: Tareque Md Khan <[email-masked]>
Date: Thu, 27 Aug 2015 02:38:48 +0530

Hi,

My first bug-reporting.

I discovered a *cosmetic* bug in 'split' command. I wanted to split a file
in 'n' chunks, with suffix 'a' chars wide and numeric suffix starting from
'd'. I tried

$ split -n10 -a4 -d5 echo.txt
split: cannot split in more than one way
Try 'split --help' for more information.

where as using longer option for `-d` i.e. `--numeric-suffixes` works fine.

$ split -n10 -a4 --numeric-suffixes=5 echo.txt

FYI: I had asked it on unix.stackexchange as well, for reference
http://unix.stackexchange.com/q/225704/17265

-Thanks,
Md Tareque Khan